
def follow_random_users(api, count=5):
    """
    Follows a random set of users from the followers list of a given user.
    
    Args:
        api (tweepy.API): The Tweepy API instance.
        count (int): The number of users to follow. Default is 5.
    """
    import tweepy
    import random

    # Fetch the followers of a specific user
    followers = api.get_followers(screen_name='twitterapi', count=100)
    
    # Filter out the users who are already being followed
    potential_followers = [follower.screen_name for follower in followers]
    already_followed = api.friends_ids('twitterapi')
    potential_followers = [user for user in potential_followers if user not in already_followed]
    
    # Randomly select users to follow
    users_to_follow = random.sample(potential_followers, count)
    
    # Follow the selected users
    for user in users_to_follow:
        api.create_friendship(screen_name=user)



